Added 'set -e' so that the script fails if any command fails.
authorFrancois Fleuret <francois@fleuret.org>
Sun, 24 May 2009 09:54:38 +0000 (11:54 +0200)
committerFrancois Fleuret <francois@fleuret.org>
Sun, 24 May 2009 09:54:38 +0000 (11:54 +0200)
mkdeb.sh

index 44df3dc..d96e7ae 100755 (executable)
--- a/mkdeb.sh
+++ b/mkdeb.sh
@@ -25,6 +25,8 @@
 # This script creates the Debian package. The way it does it is
 # probably not very conventional. I am open to suggestions.
 
+set -e
+
 VERSION=1.0-R$(cat REVISION_NUMBER)
 PACKAGE=/tmp/selector_${VERSION}_i386.deb